/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.ParadaEquivalenciaDAO;
import com.rjconsultores.ventaboletos.entidad.ComisionistaExterno;
import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.ParadaEquivalencia;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author Administrador
 */
@Repository("paradaEquivalenciaDAO")
public class ParadaEquivalenciaHibernateDAO
        extends GenericHibernateDAO<ParadaEquivalencia, Integer>
        implements ParadaEquivalenciaDAO {

    @Autowired
    public ParadaEquivalenciaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    public List<ParadaEquivalencia> buscar(Parada parada,
            ComisionistaExterno comisionistaExterno, String equivalencia) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("parada", parada));
        c.add(Restrictions.eq("comisionistaExterno", comisionistaExterno));
        c.add(Restrictions.eq("equivalenciaId", equivalencia));

        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }

    public List<ParadaEquivalencia> buscarEquivalencia(String equivalencia) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("equivalenciaId", equivalencia));
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        return c.list();
    }
}
